package com.yunzhi.training.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员签到表
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSignPerson对象", description="人员签到表")
public class TaSignPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "签到ID")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "签到ID")
    private String signId;

    @ApiModelProperty(value = "学员ID")
    private String studentId;

    @ApiModelProperty(value = "学期ID")
    private String termId;

    @ApiModelProperty(value = "班级ID")
    private String classId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
