package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.training.common.Constants;
import com.yunzhi.training.entity.TaPerson;
import com.yunzhi.training.mapper.TaPersonMapper;
import com.yunzhi.training.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenID(String openID) {
        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("openid", openID);
        queryWrapper.gt("state", Constants.STATUS_DELETED);

        return getOne(queryWrapper);
    }
}
