package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaSchoolClass;
import com.yunzhi.training.mapper.TaSchoolClassMapper;
import com.yunzhi.training.service.ITaSchoolClassService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 班级 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaSchoolClassServiceImpl extends BaseServiceImpl<TaSchoolClassMapper, TaSchoolClass> implements ITaSchoolClassService {

    @Override
    public int countName(String termId, String name) {
        QueryWrapper<TaSchoolClass> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("term_id", termId);
        queryWrapper.eq("name", name);
        queryWrapper.gt("state", -1);

        return count(queryWrapper);
    }

    @Override
    public boolean checkOnly(TaSchoolClass taSchoolClass) {
        QueryWrapper<TaSchoolClass> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("term_id", taSchoolClass.getTermId());
        queryWrapper.eq("name", taSchoolClass.getName());
        queryWrapper.ne("class_id", taSchoolClass.getClassId());
        queryWrapper.gt("state", -1);

        return count(queryWrapper) < 1;
    }

    @Override
    public IPage<TaSchoolClass> getPageBy(IPage<TaSchoolClass> pg, String termId, String name, String client) {
        return baseMapper.getPageBy(pg, termId, name, client);
    }
}
